Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	configuration file parser library
Name:      	libconfuse
Version:   	2.6
Release:   	1
Provides:	%{name}
License: 	ISC
URL:		http://www.nongnu.org/confuse/
Group:     	System/Libraries
Source0: 	confuse-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  glibc-devel


%description
libConfuse is a configuration file parser library, licensed under the terms of the ISC license, and written in C. It supports sections and (lists of) values (strings, integers, floats, booleans or other sections), as well as some other features (such as single/double-quoted strings, environment variable expansion, functions and nested include statements). It makes it very easy to add configuration file capability to a program using a simple API. 
The goal of libConfuse is not to be the configuration file parser library with a gazillion of features. Instead, it aims to be easy to use and quick to integrate with your code. libConfuse was called libcfg before, but was changed to not confuse with other similar libraries.

%package devel
Summary:        Development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description devel
Header files for developing applications using %{name}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n confuse-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--sysconfdir=%_sysconfdir \
		--localstatedir=%_localstatedir \
		--disable-dependency-tracking \
		--enable-shared
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_datadir/locale
%_libdir/*.a
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/pkgconfig
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6-1
- initial package release
